import { fetchGet, fetchPost } from '../http'
import config from '../config'

// 跳转至营销
export const toMarketing = (code) => {
  location.href = config.baseURL + 'jump/toMarketing?code=' + code
}

// 跳转至车主微信
export const toCarOwner = (code) => {
  location.href = config.baseURL + 'jump/toCarOwner?code=' + code
}

// 校验是否可跳转至营销
export const checkMarketing = (params) => {
  return fetchPost('/jump/checkMarketing', params)
}

// 校验是否可跳转至车主微信
export const checkCarOwner = (params) => {
  return fetchPost('/jump/checkCarOwner', params)
}

// 查询汽车品牌接口包含热门的-张杰
export const queryCarModelGroupPackage = (params = {}) => {
  return fetchPost('/carInfoOwner/queryCarModelGroupPackage', params)
}

// 车辆列表-张杰
export const carInfoPage = (params = {}) => {
  return fetchGet('/carInfoOwner/carInfoPage', params)
}

// 首页数据
export const getHomeData = (params = {}) => {
  return fetchGet('/carOwnerHome/homeData', params)
}

// 查询车型列表-张杰
export const queryCarModelOwner = (params = {}) => {
  return fetchPost('/carInfoOwner/queryCarModelOwner', params)
}

// 查询车厂列表-张杰
export const queryCarFactoryListOwner = (params = {}) => {
  return fetchPost('/carInfoOwner/queryCarFactoryListOwner', params)
}

// 查询车系列表
export const queryCarSeriesOwner = (params = {}) => {
  return fetchPost('/carInfoOwner/queryCarSeriesOwner', params)
}

// 保养信息查询-张杰
export const queryPlanOwner = (params = {}) => {
  return fetchGet('/carInfoOwner/queryPlanOwner', params)
}

// 车型查询条件排量，发动机型号，年款，底盘号等-张杰
export const querySearchDicOwner = (params = {}) => {
  return fetchPost('/carInfoOwner/querySearchDicOwner', params)
}

// 车型查询-张杰
export const queryCarModleListOwner = (params = {}) => {
  return fetchPost('/carInfoOwner/queryCarModleListOwner', params)
}

// 历史消费列 世荣
export const queryConsumptionList = (params) => {
  return fetchPost('/weiXinCardInfoController/queryConsumptionList', params)
}

// 历史消费列 世荣
export const queryCardTimeAndMondyList = (params) => {
  return fetchPost('/weiXinCardInfoController/queryCardTimeAndMondyList', params)
}

// 门店列表 世荣
export const queryShopList = (params) => {
  return fetchPost('/weiXinCardInfoController/queryShopList', params)
}

// 查询历史消费详情 世荣
export const queryConsumptionDetail = (params) => {
  return fetchPost('/weiXinCardInfoController/queryConsumptionDetail', params)
}
// 添加车辆信息-张杰
export const addCarOwner = (params) => {
  return fetchPost('/carInfoOwner/addCarOwner', params)
}
// 检测报告详情
export const getTestReportDetails = (params, options) => {
  return fetchGet('/checkSheet/getTestReportDetails', params, options)
}
// 检测报告列表
export const getTestList = (params) => {
  return fetchGet('/checkSheet/getTestList', params)
}
// 查询业务类型列表 飞虎
export const listBigTags = (params) => {
  return fetchGet('/reservation/listBigTags', params)
}
// 查询预约订单 飞虎
export const listOrderSheet = (params) => {
  return fetchGet('/reservation/listOrderSheet', params)
}
// 预约订单详情 飞虎
export const orderSheetDetails = (params) => {
  return fetchGet('/reservation/orderSheetDetails', params)
}
// 店铺详情 飞虎
export const getShopInfo = (params) => {
  return fetchGet('/reservation/getShopInfo', params)
}
// xinxi  飞虎
export const getInfo = (params) => {
  return fetchGet('/reservation/getInfo', params)
}
// 预约订单取消 飞虎
export const updateState = (params) => {
  return fetchPost('/reservation/carOwner/updateState', params)
}
// 预约订单延期 飞虎
export const updateTimeOfAppointment = (params) => {
  return fetchPost('/reservation/carOwner/updateTimeOfAppointment', params)
}
// 查询预约项目列表 飞虎
export const listItemWxInfo = (params) => {
  return fetchGet('/reservation/listItemWxInfo', params)
}
// 保存预约订单 飞虎
export const saveOrderSheet = (params) => {
  return fetchPost('/reservation/saveOrderSheet', params)
}
// 车主合伙人详细信息
export const queryPartnerDetail = (params) => {
  return fetchGet('/carInfoOwner/queryPartnerDetail', params)
}
// 客户转介绍 王加山
export const getIndexData = (params) => {
  return fetchGet('/mCustomer/getIndexData', params)
}
// 客户转提现基础信息 王加山
export const getWithdrawalInfo = (params) => {
  return fetchGet('/mCustomer/getWithdrawalInfo', params)
}
// 客户转提现申请提现 王加山
export const applyWithdrawal = (params) => {
  return fetchPost('/mCustomer/applyWithdrawal', params)
}
// 客户转介绍说明 王加山
export const getExplain = (params) => {
  return fetchGet('/mCustomer/getExplain', params)
}
// 客户转介绍我的人脉 王加山
export const getContactsList = (params) => {
  return fetchGet('/mCustomer/getContactsList', params)
}
// 客户转介绍返利记录 王加山
export const getRebateList = (params) => {
  return fetchGet('/mCustomer/getRebateList', params)
}
// 客户转介绍提现明细 王加山
export const getWithdrawalDetail = (params) => {
  return fetchGet('/mCustomer/getWithdrawalDetail', params)
}
// 下线人脉-张杰
export const listPJBonusPage = (params) => {
  return fetchGet('/carInfoOwner/listPJBonusPage', params)
}
// 分红记录-张杰
export const listBonusPage = (params) => {
  return fetchGet('/carInfoOwner/listBonusPage', params)
}
// 我的优惠券
export const listCoupon = (params) => {
  return fetchGet('/coupon/listCoupon', params)
}
// 优惠券
export const getCouponList = (params) => {
  return fetchGet('/coupon/getCouponList', params)
}
// 优惠券详情
export const detailsCoupon = (params) => {
  return fetchGet('/coupon/detailsCoupon', params)
}// 优惠券详情
export const detailsCouponDetails = (params) => {
  return fetchGet('/coupon/detailsCouponDetails', params)
}
// 优惠券领取
export const getCoupons = (params) => {
  return fetchGet('/coupon/getCoupons', params)
}
export const getCustInfo = (params) => {
  return fetchGet('/weixin/getCustInfo', params)
}
// 查询抽奖信息
export const getLuckDrawDetails = (params) => {
  return fetchPost('/marketingLuckDraw/getLuckDrawDetails', params)
}
// 抽奖
export const doLuckDraw = (params) => {
  return fetchPost('/marketingLuckDraw/doLuckDraw', params)
}
// 查询抽奖历史
export const listLuckyDrawCustomerDetailPage = (params) => {
  return fetchPost('/marketingLuckDraw/listLuckyDrawCustomerDetailPage', params)
}
